Page MenuHomePhabricator

METRICS - Metrics for page use
Open, Stalled, Needs TriagePublic5 Estimated Story Points

Description

As a product manager
I want to understand how the new page is used
in order to better understand if the new page is an improvement or needs further tweaking

Acceptance criteria:

Notes:

Event Timeline

karapayneWMDE renamed this task from METRICS - Determine if the new page is used more to METRICS - Metrics for page use.Mar 9 2022, 2:23 PM

Not sure if this already went through story writing, but some questions about the ticket:

the following metrics are tracked* and the data accessible to Team A (everyone in SWE?)

So these metrics should explicitly NOT be publicly available?

  • total page views

That means the new special page, right? I wonder if it would make sense to track that already on the existing page, so that we have some point of comparison?

  • an alert sent to the team-a email when 0 lexemes have been created in n time

So we probably also want a metric that tracks how many Lexemes are created per n time, right?

  • total number of errors encountered after submit button is hit
    • This information broken down by input field (error upon creation from "lemma", "language of lexeme", "lexical category")

That will require that we deal with those errors in the first place. I'm not entirely sure that there is already a task for that

I adapted the ticket as discussed. I think a number of the other ideas we can get from existing tracking.

karapayneWMDE set the point value for this task to 5.Apr 19 2022, 9:54 AM

Change 787725 had a related patch set uploaded (by Michael Große; author: Michael Große):

[mediawiki/extensions/WikibaseLexeme@master] WIP: track views of new Special;NewLexeme page

https://gerrit.wikimedia.org/r/787725

Change 788295 had a related patch set uploaded (by Michael Große; author: Michael Große):

[mediawiki/extensions/WikibaseLexeme@master] Track lexemes created by the SNL no-js variant

https://gerrit.wikimedia.org/r/788295

Change 787725 merged by jenkins-bot:

[mediawiki/extensions/WikibaseLexeme@master] Track views of new Special:NewLexeme page

https://gerrit.wikimedia.org/r/787725

Change 788295 merged by jenkins-bot:

[mediawiki/extensions/WikibaseLexeme@master] Track lexemes created by the SNL no-js variant

https://gerrit.wikimedia.org/r/788295

Change 788376 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[mediawiki/extensions/WikibaseLexeme@master] Update new-lexeme submodule

https://gerrit.wikimedia.org/r/788376

Change 788376 merged by jenkins-bot:

[mediawiki/extensions/WikibaseLexeme@master] Update new-lexeme submodule

https://gerrit.wikimedia.org/r/788376

Sprint 6 review

code is all done, but is verification is dependent on releasing to wikidata proper. Will be moved to backlog and linked to the relevant task

Michael changed the task status from Open to Stalled.May 16 2022, 2:16 PM